{%- from 'components/help.html.jinja' import empty_entry, glossary_link, optional_text -%}

{% macro metadata_item(title, link) %}
  <h3 class="fs-6 mb-1 fw-semibold">
    {{ title }}
    {% if link %}
      {{ glossary_link(link, title) }}
    {% endif %}
  </h3>
  <div class="mb-3">{{ caller() }}</div>
{% endmacro %}

{% macro metadata_text(title, link, text) %}
  {% call metadata_item(title, link) %}
    {{ optional_text(text) }}
  {% endcall %}
{% endmacro %}

{% macro metadata_card(title, link) %}
  <div class="card mb-4">
    <h2 class="fs-6 card-header fw-semibold">
      {{ title }}
      {% if link %}
        {{ glossary_link(link, title) }}
      {% endif %}
    </h2>
    {{ caller() }}
  </div>
{% endmacro %}

{% macro simple_attribute(title, link) %}
  <div class="row mb-2 mt-2">
    <div class="col-12 col-xl-4">
      <h4 class="fs-6 mb-0  fw-semibold">
        {{ title }}
        {% if link %}
          {{ glossary_link(link, title) }}
        {% endif %}
      </h4>
    </div>
    <div class="col-12 col-xl-8">{{ caller() }}</div>
  </div>
{% endmacro %}

{% macro baustein_referenz(referenz) %}
  <div class="list-group list-group-flush">
    {% if referenz %}
      <a
        href="{{ referenz.href }}"
        class="list-group-item list-group-item-action d-flex flex-row gap-2 align-items-center justify-content-between"
      >
        <div class="d-flex flex-column">
          <div>{{ referenz.label }}</div>
          <div class="text-secondary">{{ referenz.id }}</div>
        </div>
        <i class="text-muted bi bi-chevron-right" aria-hidden="true"></i>
      </a>
    {% else %}
      <div class="list-group-item">{{ empty_entry() }}</div>
    {% endif %}
  </div>
{% endmacro %}

{% macro baustein_referenzen(referenzen) %}
  <div class="list-group list-group-flush">
    {% for item in referenzen %}
      {% if item.exists %}
        <a
          href="{{ item.href }}"
          class="list-group-item list-group-item-action d-flex flex-row gap-2 align-items-center justify-content-between"
        >
          <div class="d-flex flex-column">
            <div>{{ item.label }}</div>
            <div class="text-secondary">{{ item.id }}</div>
          </div>
          <i class="text-muted bi bi-chevron-right" aria-hidden="true"></i>
        </a>
      {% else %}
        <div
          class="list-group-item d-flex flex-row gap-2 align-items-center justify-content-between"
        >
          {{ item.id }}
        </div>
      {% endif %}
    {% else %}
      <div class="list-group-item">{{ empty_entry() }}</div>
    {% endfor %}
  </div>
{% endmacro %}
